// Serial.cpp : implementation file
//

#include "stdafx.h"
#include "hamwebclient.h"
#include "Serial.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Serial dialog


Serial::Serial(CWnd* pParent /*=NULL*/)
	: CDialog(Serial::IDD, pParent)
{

	extern int port;
	extern int baudrate;
	extern CString tnc;
	char baudtemp[6];
	if (port > 8) (port = 1);
	if (baudrate < 300) (baudrate = 1200);
	_itoa(baudrate,baudtemp,10);
	
	//{{AFX_DATA_INIT(Serial)
	m_tnc = tnc;
    m_port = port;
	m_baudrate = baudtemp;
	//}}AFX_DATA_INIT
}


void Serial::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Serial)
	DDX_Radio(pDX, IDC_RADIO1, m_port);
	DDX_CBString(pDX, IDC_COMBO1, m_baudrate);
	DDX_CBString(pDX, IDC_COMBO2, m_tnc);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Serial, CDialog)
	//{{AFX_MSG_MAP(Serial)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Serial message handlers

void Serial::OnOK() 
{
extern int port;
extern int baudrate;
CWinApp* pApp = AfxGetApp();

UpdateData();
baudrate = atoi(m_baudrate);
port = m_port;
pApp->WriteProfileInt("HamWebClient","port",m_port);
pApp->WriteProfileString("HamWebClient","tnc",m_tnc);
pApp->WriteProfileInt("HamWebClient","baudrate",baudrate);
CDialog::OnOK();
}
