// DirSelect.cpp : implementation file
//

#include "stdafx.h"
#include "hwebserv.h"
#include "hwebservDlg.h"
#include "DirSelect.h"
#include "direct.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DirSelect dialog


DirSelect::DirSelect(CWnd* pParent /*=NULL*/)
	: CDialog(DirSelect::IDD, pParent)
{
	
	//{{AFX_DATA_INIT(DirSelect)
		// NOTE: the ClassWizard will add member initialization here
		//}}AFX_DATA_INIT

}

void DirSelect::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DirSelect)
	DDX_Control(pDX, IDC_LIST1, m_dirlist);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DirSelect, CDialog)
	//{{AFX_MSG_MAP(DirSelect)
	ON_LBN_SETFOCUS(IDC_LIST1, OnSetfocusList1)
	ON_LBN_DBLCLK(IDC_LIST1, OnDblclkList1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DirSelect message handlers


void DirSelect::scan_dir(char *path)

{
	
	WIN32_FIND_DATA wfd;
	HANDLE ffile;
    char start_path[90],fpath[120];
	


	CHwebservDlg *pWnd = (CHwebservDlg *) FindWindow(NULL,"Ham Web Server");  //find hamwebserver window so you can do progress bar
	pWnd->m_prog.StepIt();

	_getcwd(start_path,90);
	_chdir(path);
	ffile = FindFirstFile("*",&wfd);		//recursively go through all directories on disk and load up files
	if (ffile > 0){
		do{
			if (wfd.cFileName[0] != 0x2E){
				if (wfd.dwFileAttributes == FILE_ATTRIBUTE_DIRECTORY){
					_fullpath(fpath,wfd.cFileName,255);				//get the full path of the directory before adding it.
					m_dirlist.AddString(fpath);
					scan_dir(wfd.cFileName);
				}
			}// end of if
		}while (FindNextFile(ffile,&wfd));//end of do
	}//end of if
	_chdir(start_path);
	

}//end of scan_dir

void DirSelect::OnSetfocusList1() 
{
	
	scan_dir("\\");   // switch to root of current drive
	
}

void DirSelect::OnOK() 
{
	int selcount,i;
	int getit[400];
	CString itemdat;
	m_dirlist.GetSelItems(400,(int *) getit);		//get the list of selected directory item numbers
	selcount = m_dirlist.GetSelCount();				// how many of them are there?
	
	CHwebservDlg *pWnd = (CHwebservDlg *) FindWindow(NULL,"Ham Web Server");

	for (i=0;i<selcount;i++){
		m_dirlist.GetText(getit[i],itemdat);	//get each selected directory and...
		pWnd->m_dirlist.AddString(itemdat.Mid(2));		//strip off the drive designation and add it to the list of directories to be transmitted.
	}

	CDialog::OnOK();
}

void DirSelect::OnDblclkList1() 
{
	CString itemdat;
	CHwebservDlg *pWnd = (CHwebservDlg *) FindWindow(NULL,"Ham Web Server");
	m_dirlist.GetText(m_dirlist.GetCurSel(),itemdat);
	pWnd->m_dirlist.AddString(itemdat.Mid(2));
	CDialog::OnOK();
	
}
