// Serial.cpp : implementation file
//

#include "stdafx.h"
#include "hwebserv.h"
#include "Serial.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Serial dialog


Serial::Serial(CWnd* pParent /*=NULL*/)
	: CDialog(Serial::IDD, pParent)
{
	extern int port;
	extern int baudrate;
	extern  CString callsign;
	extern CString ssid;
	extern CString tnc;
	char baudtemp[6];
	if (port > 8) (port =1);
	if (baudrate < 300) (baudrate = 1200);
	_itoa(baudrate,baudtemp,10);
	
	//{{AFX_DATA_INIT(Serial)
	m_tnc = tnc;
	m_port = port;
	m_call = callsign;
	m_ss = ssid;
    m_baudrate = baudtemp;

	//}}AFX_DATA_INIT
}


void Serial::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Serial)
	DDX_Control(pDX, IDC_EDIT2, m_ssid);
	DDX_Control(pDX, IDC_EDIT1, m_callsign);
	DDX_Radio(pDX, IDC_RADIO1, m_port);
	DDX_Text(pDX, IDC_EDIT1, m_call);
	DDX_Text(pDX, IDC_EDIT2, m_ss);
	DDX_CBString(pDX, IDC_COMBO1, m_baudrate);
	DDX_CBString(pDX, IDC_COMBO2, m_tnc);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Serial, CDialog)
	//{{AFX_MSG_MAP(Serial)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Serial message handlers

void Serial::OnOK() 
{
extern int baudrate;
extern int port;
extern  CString callsign;
extern CString ssid;
CWinApp* pApp = AfxGetApp();



UpdateData();
m_callsign.GetWindowText(callsign);
callsign.MakeUpper();
m_ssid.GetWindowText(ssid);

baudrate = atoi(m_baudrate);
pApp->WriteProfileString("HamWebServer","callsign",callsign); //write parameters into the registry
pApp->WriteProfileInt("HamWebServer","port",m_port);
pApp->WriteProfileString("HamWebServer","ssid",ssid);
pApp->WriteProfileString("HamWebServer","tnc",m_tnc);
pApp->WriteProfileInt("HamWebServer","baudrate",baudrate);
CDialog::OnOK();
}

