// hamwebclientDlg.cpp : implementation file
//

#include "stdafx.h"
#include "hamwebclient.h"
#include "hamwebclientDlg.h"
#include <fstream.h>
#include <io.h>
#include "Serial.h"
#include <afxtempl.h>
#include "direct.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
HANDLE hCom;
CWinThread* pMyThread;
BOOL stopit = FALSE;
int port,baudrate;
CString tnc;
/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

UINT MyWorkerThread(LPVOID pStuff)        //runs all the time.  Looks for bytes from radio
{
	
	CHamwebclientDlg *pDlg = (CHamwebclientDlg *) pStuff;
	unsigned char empty[1024];
//	unsigned char kisson[]= "KISS ON\rRESTART\r";
	char kisson[60];
	DCB dcb;
	unsigned char ob,ob2;
	char filename[128]= "temp";
	char sfilename[128];
	char tempfilename[135]= "temp.p";
	char holefilename[135]= "temp.hol";
	DWORD dwR,dwW;
	HANDLE store;
	BOOL fSuccess;
	unsigned char textin[1200], outbytes[1200];
	unsigned char b16[16];
	UINT checksum,rcvdcheck,  lastframesize;
	int size,wtime;
	unsigned short framenum,numframe;
	short oldframenum = 1;
	short k;

	if (tnc.Left(4) == "TAPR") strcpy(kisson,"KISS ON\rRESTART\r");
	if (tnc.Left(4) == "Kant") strcpy(kisson,"INTface KISS\rRESET\r");
	if (tnc.Left(4) == "PK-2") strcpy(kisson,"KISS ON\r");
	if (tnc.Left(4) == "PK-8") strcpy(kisson,"CONMODE TRANS\rPPERSIST ON\rRAW ON\rHPOLL OFF\rKISS ON\rRESTART\r");
	if (tnc.Left(4) == "Old K") strcpy(kisson,"KISSMODE ON\rRESET\r");


	switch(port) {
		case 0: hCom = CreateFile("COM1", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
		case 1: hCom = CreateFile("COM2", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
		case 2:hCom = CreateFile("COM3", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
		case 3: hCom = CreateFile("COM4", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
		case 4: hCom = CreateFile("COM5", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
		case 5: hCom = CreateFile("COM6", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
		case 6:hCom = CreateFile("COM7", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
		case 7: hCom = CreateFile("COM8", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
	}

	fSuccess = GetCommState(hCom, &dcb);
	dcb.BaudRate = 1200;
	dcb.ByteSize = 8;
	dcb.Parity = NOPARITY;
	dcb.StopBits = ONESTOPBIT;
	fSuccess = SetCommState(hCom, &dcb);
	UINT i,j,numchar;

	struct _finddata_t c_file;
	long hFile,tFile;
	CList<short,short>  holelist;
	BOOL oldfile = FALSE;
	BOOL contin = TRUE;
	POSITION pos;
	CFile holefile;
	CString ffilename,path;
	char start_path[90];
	int loc1,loc2,dirthere;
	int frameloc,numholes,filelen;
	
	for (i=0;i<1024;i++) (empty[i] = 0x00);  //intialize empty array for files
	WriteFile(hCom,&kisson,16,&dwW,NULL);  // put the tnc in kiss mode

	
	do {
		
//   BEGIN COLLECTING DATA FROM THE SERIAL PORT HERE
	
		do{
			ReadFile(hCom,&ob,1,&dwR,NULL);	 //throw out all the bytes until you get to C0
		} while (ob!=0xC0);
		ReadFile(hCom,&ob,1,&dwR,NULL);      //look for two C0's in a row.
		if (ob == 0xC0){
			(ReadFile(hCom,&b16,17,&dwR,NULL));       //chop off the kiss header
		}
					else {
						(ReadFile(hCom,&b16,16,&dwR,NULL));  
					}
		i = 0;  //set i to beginning of textin buffer
		do{
			ReadFile(hCom,&ob,1,&dwR,NULL);	
			if (ob == 0xDB){					//if the byte is FESC, check to see if substitution is needed
				ReadFile(hCom,&ob2,1,&dwR,NULL);	
				switch (ob2)
				{
					case 0xDC : 
						textin[i++] = 0xC0;break;
					case 0xDD :
						textin[i++] = 0xDB;break;
					default :
						textin[i++] = ob;
						textin[i++] = ob2;
				} //end of switch
			} //end of if
				else {
					
					textin[i++] = ob;
				}	
		}while ((ob != 0xC0) && (i<1200));    //don't let the array overrun
		numchar = i;
		contin = TRUE;
		if (numchar > 1199){
			(contin = FALSE);
	
		}


// NOW FINISHED COLLECTING THIS FRAME OF DATA FROM THE SERIAL PORT... BEGIN PROCESSING

		if (contin == TRUE) {					//ok to process this file
			checksum = textin[0]+textin[1]*256+textin[2]*65536+textin[3]*16777216;
			framenum = textin[4]+(textin[5]*256);
			size = 	textin[6]+textin[7]*256+textin[8]*65536+textin[9]*16777216;
			wtime = textin[10]+textin[11]*256+textin[12]*65536+textin[13]*16777216;
			numframe = size/1024;   //number of 1024 byte frames in file
			lastframesize = size % 1024;  //size of the remainder
			rcvdcheck = 0;
			for (j=4;j<numchar-1;j++) (rcvdcheck = rcvdcheck+ textin[j]);  //calculate checksum
			if (rcvdcheck !=checksum) (contin = FALSE);
		}
		if (contin == TRUE) {					//ok to process this file
			i=14;
			while ((textin[i] != 0xFF) && (i< 141)){   //don't let the array overrun
				(filename[i-14] = textin[i]);
				i++;
			}
			filename[i-14]= 0x00;
			filelen = i-14;
			loc1 = ffilename.Find("\\");
			if (loc1 != -1)	(strcpy(sfilename,filename+1));
			else strcpy(sfilename,filename);
			pDlg->PutRcvdText(sfilename);
			frameloc = (((framenum*102400)/size));
			
			pDlg->PutRcvdSize(size,frameloc);
			
			_getcwd(start_path,90);
			ffilename = filename;
		
			
			loc1 = ffilename.Find("\\");// find the directory symbol. (not double directory symbols).
			
			while (loc1 != -1){
				ffilename= ffilename.Mid(loc1+1);
				loc2 = ffilename.Find("\\");
				path = ffilename.Mid(loc1,(loc2-loc1));
				dirthere = _chdir(path);
				if (dirthere != 0){
					CreateDirectory(path,NULL);
					_chdir(path);
				}
				ffilename = ffilename.Mid(loc2);
				loc1 = ffilename.Find("\\");
			}
			
			strcpy(filename,ffilename);


			hFile = _findfirst(filename, &c_file);
			if ((hFile > 0) && (c_file.time_write >= wtime)) (contin = FALSE); 
			_findclose(hFile);
		}
		if (contin == TRUE) {					//ok to process this file
	   		strcpy(tempfilename,filename);
			strcat(tempfilename,".p");
			strcpy(holefilename,filename);
			strcat(holefilename,".hol");
			tFile=_findfirst(tempfilename, &c_file);
			holelist.RemoveAll();
			store = CreateFile(tempfilename, GENERIC_WRITE, 0,NULL,OPEN_ALWAYS,0,NULL);  //open the .p file	 
			if (tFile > 0){
				 if (holefile.Open(holefilename, CFile::modeRead)){
						CArchive ar(&holefile, CArchive::load);
						if (holefile.GetLength() > 0) (holelist.Serialize(ar));        //fill the hole list from the .hol file
						ar.Close();
						holefile.Close();
				}
			}
			else {// if the file did not previously exist
				for (k=0;k<numframe;k++) {
					(WriteFile(store,empty,1024,&dwW,NULL));//fill the file with 0x00's
					holelist.AddTail(k);  //populate the hole list with the number of complete frames
				}
			    WriteFile(store,empty,lastframesize,&dwW,NULL);        //fill the last frame with 0x00's
				holelist.AddTail(k);
			}
			SetFilePointer(store,(framenum)*1024,NULL,FILE_BEGIN);  //position file pointer to right spot
			for (i = filelen+15;i<numchar;i++) (outbytes[i-(filelen+15)] = textin[i]);
			WriteFile(store,outbytes,numchar-(filelen+16),&dwW,NULL);
			CloseHandle(store);
			pos = holelist.Find(framenum);
			if (pos != NULL) (holelist.RemoveAt(pos));   //if this frame was in the holelist, delete it.
			numholes = holelist.GetCount();
			pDlg->SetHoles(numholes);
			if (holelist.IsEmpty() == TRUE){		//if the file is complete, do this stuff
				 rename(tempfilename,filename);        //rename the temporary file as permanent
				 hFile = _findfirst(holefilename, &c_file);   
				 if (hFile > 0) (CFile::Remove(holefilename));   //if there was a .hol file, delete it.
				 pDlg->PutRcvdList(sfilename);		//list the file as received.
				 pDlg->PutRcvdText("");
				 pDlg->PutRcvdSize(0,0);
				 pDlg->SetHoles(0);
			}
			else{
				if (holefile.Open(holefilename,  CFile::modeCreate | CFile::modeWrite)){
							CArchive ar(&holefile, CArchive::store);
							(holelist.Serialize(ar));                 //write the new holefile
							ar.Close();
							holefile.Close();
				}//end of if
			}//end of else
		}// end of if (contin ==TRUE)	
	    strcpy(filename,"");
		_chdir(start_path);
}while (stopit == FALSE); // do this until the program quits.


return 0;
}// end of mythread
void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHamwebclientDlg dialog

CHamwebclientDlg::CHamwebclientDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHamwebclientDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHamwebclientDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	CWinApp* pApp = AfxGetApp();
	Serial dSerial;
	port = pApp->GetProfileInt("HamWebClient","port",12);
	baudrate = pApp->GetProfileInt("HamWebClient","baudrate",1200);
	tnc = pApp->GetProfileString("HamWebClient","tnc","TAPR");
	if (port ==12) (dSerial.DoModal());
	
	
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CHamwebclientDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHamwebclientDlg)
	DDX_Control(pDX, IDC_EDIT4, m_holes);
	DDX_Control(pDX, IDC_EDIT3, m_frameloc);
	DDX_Control(pDX, IDC_EDIT2, m_size);
	DDX_Control(pDX, IDC_EDIT1, m_rcvtext);
	DDX_Control(pDX, IDC_LIST1, m_rcvd);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CHamwebclientDlg, CDialog)
	//{{AFX_MSG_MAP(CHamwebclientDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnPort)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHamwebclientDlg message handlers

BOOL CHamwebclientDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	CString strAboutMenu;
	strAboutMenu.LoadString(IDS_ABOUTBOX);
	if (!strAboutMenu.IsEmpty())
	{
		pSysMenu->AppendMenu(MF_SEPARATOR);
		pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	(pMyThread = AfxBeginThread(MyWorkerThread,this));  
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CHamwebclientDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CHamwebclientDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CHamwebclientDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

BOOL CHamwebclientDlg::DestroyWindow() 
{
	unsigned char kissoff[]= {192,255,192};
	DWORD dwW;
	PurgeComm(hCom,PURGE_RXABORT |PURGE_RXCLEAR);
	WriteFile(hCom,&kissoff,3,&dwW,NULL);
	CloseHandle(hCom);
	return CDialog::DestroyWindow();
}

void CHamwebclientDlg::OnOK() 
{
	stopit = TRUE;
		
	CDialog::OnOK();
}

void CHamwebclientDlg::OnPort() 
{
				Serial dserial;
				dserial.DoModal();
				AfxMessageBox("Port Changes do Not Become Effective\nUntil the Next Time the Program is Run.",MB_OK,0);
	
	
}
