// hwebservDlg.cpp : implementation file
//

#include "stdafx.h"
#include "hwebserv.h"
#include "hwebservDlg.h"
#include <fstream.h>
#include <io.h>
#include "Serial.h"
#include "DirSelect.h"

#include "Direct.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
BOOL stopfile = FALSE;

HANDLE hCom;
CWinThread* pMyThread;
char xfile[128];
int port, baudrate;
CString callsign, ssid,tnc;
HANDLE HMutex;
BOOL slamshut = FALSE;
char start_path[90];

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHwebservDlg dialog

CHwebservDlg::CHwebservDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHwebservDlg::IDD, pParent)
{
	
CWinApp* pApp = AfxGetApp();
	
	port = pApp->GetProfileInt("HamWebServer","port",12);
	callsign = pApp->GetProfileString("HamWebServer","callsign","NOCALL");   //get parameters from the registry
	ssid = pApp->GetProfileString("HamWebServer","ssid","0");
	baudrate = pApp->GetProfileInt("HamWebServer","baudrate",1200);
	tnc = pApp->GetProfileString("HamWebServer","tnc","TAPR");
	if (callsign == "NOCALL"){
		Serial dSerial;
		(dSerial.DoModal());
	}
	//{{AFX_DATA_INIT(CHwebservDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	

}

void CHwebservDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHwebservDlg)
	DDX_Control(pDX, IDCANCEL, m_quit);
	DDX_Control(pDX, IDC_BUTTON10, m_stopfram);
	DDX_Control(pDX, IDC_PROGRESS1, m_prog);
	DDX_Control(pDX, IDC_LIST3, m_dirlist);
	DDX_Control(pDX, IDC_LIST2, m_xonelist);
	DDX_Control(pDX, IDC_BUTTON4, m_stopframe);
	DDX_Control(pDX, IDC_BUTTON5, m_stopfile);
	DDX_Control(pDX, IDC_BUTTON3, m_start);
	DDX_Control(pDX, IDC_EDIT1, m_xmitnow);
	DDX_Control(pDX, IDC_LIST1, m_xlist);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CHwebservDlg, CDialog)
	//{{AFX_MSG_MAP(CHwebservDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON3, Ontrans)
	ON_BN_CLICKED(IDC_BUTTON2, OnDeletefile)
	ON_BN_CLICKED(IDC_BUTTON5, OnStopAfterFile)
	ON_BN_CLICKED(IDC_BUTTON6, OnBrowseForFile)
	ON_LBN_DBLCLK(IDC_LIST1, OnDblclkList1)
	ON_BN_CLICKED(IDC_BUTTON1, OnAddonetime)
	ON_BN_CLICKED(IDC_BUTTON7, OnDeleteOneTime)
	ON_LBN_DBLCLK(IDC_LIST2, OnDblclkList2)
	ON_BN_CLICKED(IDC_BUTTON4, OnPortParam)
	ON_BN_CLICKED(IDC_BUTTON9, OnDeleteDir)
	ON_BN_CLICKED(IDC_BUTTON8, OnAdddir)
	ON_LBN_DBLCLK(IDC_LIST3, OnDeleteDir)
	ON_BN_CLICKED(IDC_BUTTON10, OnStopFrame)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHwebservDlg message handlers


void SendFile(BOOL longname){

	
	unsigned char FEND[]={192};
	unsigned char DATA[]={0};
	unsigned char myhead[]= {144,130,154,174,138,132,96,174,130,96,160,168,172,97,3,240};
	unsigned int i,j,outlen,checksum;
	unsigned char text[1300];
	unsigned int counter;
	DWORD dwR,dwW;
	HANDLE hSource;
	long hFile;
  	struct _finddata_t c_file;
	BOOL fSuccess;
    unsigned int headlen;
			
			while (callsign.GetLength() <6) (callsign+= " ");
	        for (i=7;i<13;i++) (myhead[i] = (callsign.GetAt(i-7))<<1);
			myhead[13]=(ssid.GetAt(0)<<1) + 1;
			counter = 0;
			hSource = CreateFile(xfile,GENERIC_READ,0,NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,0);
			hFile = _findfirst(xfile, &c_file);
		    dwR = 0;
						
		do
			{
	  			
				text[6]=  c_file.size;
				text[7]=  c_file.size>>8;
				text[8]=  c_file.size>>16;
				text[9]=  c_file.size>>24;
				text[10]=  c_file.time_write;
				text[11]=  c_file.time_write>>8;
				text[12]=  c_file.time_write>>16;
				text[13]=  c_file.time_write>>24;

				if (longname == FALSE) for (i=0;i<strlen(c_file.name);i++) (text[i+14]=c_file.name[i]);
				else for (i=0;i<strlen(xfile);i++) (text[i+14]=xfile[i]);
				
				text[i+14] = 0xFF;i++;
				if (longname == FALSE) (outlen = 15+ strlen(c_file.name));
				else outlen = 15+ strlen(xfile);
				headlen = i;
				
				
				fSuccess = ReadFile(hSource,text+headlen+14,1024,&dwR,NULL);
				if (dwR !=0) {
	  			fSuccess = WriteFile(hCom,&FEND,1,&dwW,NULL);
				WriteFile(hCom,&DATA,1,&dwW,NULL);
	  			WriteFile(hCom,&myhead,16,&dwW,NULL);	
				
				text[4] = counter;
				text[5] = counter>>8;//This allows the next byte to be stored in the array.

			
				
				outlen = outlen+dwR;
				checksum = 0;
				for (i=4;i<outlen;i++) (checksum = checksum +text[i]);
				text[0] = checksum;
				text[1] = checksum>>8;
				text[2] = checksum>>16;
				text[3] = checksum>>24;
				
				
				for (i=0;i<outlen;i++){
					switch (text[i]){
					case 0xC0:
						for (j=outlen;j>i;j--) (text[j+1] = text[j]);  //stuff extra byte
						text[i] = 219;
						text[i+1] = 220;
						outlen++;
						break;
					case 0xDB:
						for (j=outlen;j>i;j--) (text[j+1] = text[j]);
						text[i] = 219;
						text[i+1] = 221;
						outlen++;
						break;
					}//end of case
				} //end of for
				if (slamshut == TRUE){
					CloseHandle(hSource);
					_findclose(hFile);
					return;
				}
				fSuccess = WriteFile(hCom,&text,outlen,&dwW,NULL);
     			fSuccess= WriteFile(hCom,&FEND,1,&dwW,NULL);
				if (slamshut== TRUE){
                     CloseHandle(hSource);
					_findclose(hFile);
					return;
				}
				counter++;
				}//end of if (dwR !=0)
				
		}while ((dwR !=0));// && (stopfile == FALSE));  //end of do
		CloseHandle(hSource);
		_findclose(hFile);
}
UINT MyWorkerThread(LPVOID pStuff)       
{
	unsigned char FEND[]={192};
	CHwebservDlg *pDlg = (CHwebservDlg *) pStuff;
	unsigned char persist[]={2,255,3,0};
	unsigned int filenum,dirnum;
	DWORD dwW;
	char kisson[60];
    unsigned int numfiles,numdirs,numdirfiles;

	if (tnc.Left(4) == "TAPR") strcpy(kisson,"KISS ON\rRESTART\r");
	if (tnc.Left(4) == "Kant") strcpy(kisson,"INTface KISS\rRESET\r");
	if (tnc.Left(4) == "PK-2") strcpy(kisson,"KISS ON\r");
	if (tnc.Left(4) == "PK-8") strcpy(kisson,"CONMODE TRANS\rPPERSIST ON\rRAW ON\rHPOLL OFF\rKISS ON\rRESTART\r");
	if (tnc.Left(4) == "Old K") strcpy(kisson,"KISSMODE ON\rRESET\r");

	
	CStringList FilesFDir;
	HANDLE ffile;
	CString dirstub,tempfile;
	WIN32_FIND_DATA wfd;
	char fpath[130];
//	char start_path[90],curpath[90];
	char curpath[90];

	WriteFile(hCom,&kisson,60,&dwW,NULL);//put tnc in kiss mode
	WriteFile(hCom,&FEND,1,&dwW,NULL);    
	WriteFile(hCom,&persist,4,&dwW,NULL);  //set persist to never wait.
	WriteFile(hCom,&FEND,1,&dwW,NULL);
	
	HMutex = ::CreateMutex(NULL,TRUE,NULL);	
  do{
	 	_chdir(start_path);
	 while ((pDlg->IsOneTime()>0) && (stopfile == FALSE) && (slamshut == FALSE)){           //do the one time list first  This one 
		DeleteFile("onetime.txt");									//this while loop is here in case there aren't any continuous xmit files
		strcpy(xfile,pDlg->GetOneFile());
		SendFile(FALSE);
		pDlg->XmitNone();
	}//end of while
	 
	//next section loads up the list of files for continuous transmitting...
	_chdir(start_path);
	numfiles = pDlg->GetNumFiles();//get the number of files for continuous transmit
	DeleteFile("contin.txt");
	if (numfiles> 0){
		for (filenum = 0;(filenum < numfiles) && (stopfile == FALSE) && (slamshut == FALSE);filenum++){
			_chdir(start_path);
			while ((pDlg->IsOneTime()>0) && (stopfile == FALSE) && (slamshut == FALSE)){           //do the one time list first
				DeleteFile("onetime.txt");
				strcpy(xfile,pDlg->GetOneFile());
				SendFile(FALSE);
				pDlg->XmitNone();
			}//end of while	
			strcpy(xfile,pDlg->GetThatFile(filenum));  //now do the rest of the list
			if ((stopfile == FALSE) && (slamshut == FALSE)) SendFile(FALSE);
			if (slamshut == FALSE)	pDlg->XmitNone();		
		}// end of each file processing
	}//end of if
	//next section loads up the list of files from the directories for continuous trnsmitting...
if ((slamshut == FALSE) & (stopfile == FALSE)){
		_chdir(start_path);
	   numdirs = pDlg->GetNumDirs();
	   DeleteFile("direct.txt");
	   for (dirnum=0;dirnum < numdirs;dirnum++){
		dirstub = pDlg->GetThatDir(dirnum);
		_chdir(dirstub);
		_getcwd(curpath,90);
			ffile = FindFirstFile(dirstub+"\\*.*",&wfd);
			if ((ffile>0) && (wfd.dwFileAttributes != FILE_ATTRIBUTE_DIRECTORY)){
				_fullpath(fpath,wfd.cFileName,130);
				(FilesFDir.AddTail(fpath));
			}
			if (ffile > 0){
				while (FindNextFile(ffile, &wfd)){
					if (wfd.dwFileAttributes != FILE_ATTRIBUTE_DIRECTORY){
							_fullpath(fpath,wfd.cFileName,130);
						(FilesFDir.AddTail(fpath));
					}//end of if (wfd.dwFileAttrib...
				}//end of while
			}//end of if (ffile...
			_chdir(start_path);
	  }//end of for
	
  numdirfiles = FilesFDir.GetCount();
  if (numdirfiles >0){
	for (filenum = 0;(filenum < numdirfiles) && (stopfile == FALSE && (slamshut == FALSE));filenum++) {
		_chdir(start_path);
		while ((pDlg->IsOneTime()>0) && (stopfile == FALSE)){           //do the one time list first
			DeleteFile("onetime.txt");
			strcpy(xfile,pDlg->GetOneFile());
			SendFile(FALSE);
			pDlg->XmitNone();
		}//end of while	
		tempfile = FilesFDir.GetHead();
		strcpy(xfile,tempfile.Mid(2));
		pDlg->SetFileText(xfile);
		FilesFDir.RemoveHead();
		SendFile(TRUE);
		if (slamshut == FALSE) pDlg->XmitNone();
	 }//end of for (filenum...
  }//end of if
}// if slamshut == false
	
  }while((stopfile == FALSE) && (slamshut == FALSE));//end of do
  ::ReleaseMutex(HMutex);
  pDlg->SetButtons();
  pDlg->XmitNone();
  AfxEndThread(1);
return 0;
}

BOOL CHwebservDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	CString strAboutMenu;
	strAboutMenu.LoadString(IDS_ABOUTBOX);
	if (!strAboutMenu.IsEmpty())
	{
		pSysMenu->AppendMenu(MF_SEPARATOR);
		pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	_getcwd(start_path,90);
	ifstream inf("xfiles.txt");
	while (inf){
		inf.getline(xfile,128);
		m_xlist.AddString(xfile);
	}
	inf.close;
	m_xlist.DeleteString(m_xlist.GetCount()-1);
	
	ifstream inf2("xdirs.txt");
	while (inf2){
		inf2.getline(xfile,128);
		m_dirlist.AddString(xfile);
	}
	inf2.close;
	m_dirlist.DeleteString(0);
	
DCB dcb;
	BOOL fSuccess;
	
	
	switch(port) {
 case 0: hCom = CreateFile("COM1", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
 case 1: hCom = CreateFile("COM2", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
 case 2:hCom = CreateFile("COM3", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
 case 3: hCom = CreateFile("COM4", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
 case 4: hCom = CreateFile("COM5", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
 case 5: hCom = CreateFile("COM6", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
 case 6:hCom = CreateFile("COM7", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;
 case 7: hCom = CreateFile("COM8", GENERIC_READ | GENERIC_WRITE, 0,NULL,OPEN_EXISTING,0,NULL);break;

	}
	
	fSuccess = GetCommState(hCom, &dcb);
	dcb.BaudRate = baudrate;
	dcb.ByteSize = 8;
	dcb.Parity = NOPARITY;
	fSuccess = SetCommState(hCom, &dcb);
	dcb.StopBits = ONESTOPBIT;



	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CHwebservDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CHwebservDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CHwebservDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}



void CHwebservDlg::Ontrans() 
{

		m_start.EnableWindow(FALSE);
		m_stopfile.EnableWindow(TRUE);
		m_stopfram.EnableWindow(TRUE);
		m_quit.EnableWindow(FALSE);
		stopfile = FALSE;
		slamshut = FALSE;
		
		
		pMyThread = AfxBeginThread(MyWorkerThread,this); 
		
		}


BOOL CHwebservDlg::DestroyWindow() 
{
	unsigned char kissoff[]= {192,255,192};
	DCB dcb;
	DWORD dwW;

	BOOL fSuccess;

	fSuccess = GetCommState(hCom, &dcb);
	dcb.BaudRate = baudrate;
	dcb.ByteSize = 8;
	dcb.Parity = NOPARITY;
	dcb.StopBits = ONESTOPBIT;					//kiss off!
	fSuccess = SetCommState(hCom, &dcb);
  WriteFile(hCom,&kissoff,3,&dwW,NULL);
	CloseHandle(hCom);

	FILE *fp;
	int i;
	char xfile[130];
	char xxfile[130];
	m_dirlist.GetText(0,xxfile);
	_chdir(start_path);
	fp = fopen("xfiles.txt","w");
	for (i = 0; i< m_xlist.GetCount();i++) {  //write the transmit file list
		m_xlist.GetText(i,xfile);
		fputs(xfile,fp);
		fputs("\n",fp);
	}
	fclose(fp);
	fp = fopen("xdirs.txt","w");
	for (i = 0;i < m_dirlist.GetCount();i++){ //write the directory transmit file list
		m_dirlist.GetText(i,xfile);
		fputs(xfile,fp);
		fputs("\n",fp);
	}
	fclose(fp);
	
	return CDialog::DestroyWindow();
}

void CHwebservDlg::OnDeletefile() 
{
	m_xlist.DeleteString(m_xlist.GetCurSel());

	
}



void CHwebservDlg::OnStopAfterFile() 
{
	stopfile = TRUE;

	
}

void CHwebservDlg::OnBrowseForFile() 
{
	CFileDialog mfdlg(TRUE);
	if (mfdlg.DoModal() == IDOK) (m_xlist.AddString(mfdlg.GetPathName()));
	
}

void CHwebservDlg::OnDblclkList1() 
{
m_xlist.DeleteString(m_xlist.GetCurSel());

	
}

void CHwebservDlg::OnAddonetime() 
{
	CFileDialog mfdlg(TRUE);
	if (mfdlg.DoModal() == IDOK) (m_xonelist.AddString(mfdlg.GetPathName()));
	
	
}

void CHwebservDlg::OnDeleteOneTime() 
{
	m_xonelist.DeleteString(m_xonelist.GetCurSel());
	
}

void CHwebservDlg::OnDblclkList2() 
{
	m_xonelist.DeleteString(m_xonelist.GetCurSel());
	
}

void CHwebservDlg::OnPortParam() 
{
				Serial dserial;
				dserial.DoModal();
				AfxMessageBox("Port Changes do Not Become Effective\nUntil the Next Time the Program is Run.",MB_OK,0);
	
}

void CHwebservDlg::OnDeleteDir() 
{
	m_dirlist.DeleteString(m_dirlist.GetCurSel());
	
}

void CHwebservDlg::OnAdddir() 
{
	
	m_prog.SetStep(1);
	m_prog.SetRange(0,700);
	m_prog.SetPos(0);
	m_prog.ShowWindow(SW_SHOW);
	DirSelect ddirselect;
	ddirselect.DoModal();
	m_prog.ShowWindow(SW_HIDE);

}



void CHwebservDlg::OnCancel() 
{
	WINDOWPLACEMENT wplace;

	GetWindowPlacement(&wplace);
	wplace.showCmd = SW_HIDE; //minimize this window so people won't notice it takes a while to close
	SetWindowPlacement(&wplace);
	slamshut = TRUE;

	::WaitForSingleObject(HMutex,INFINITE);//wait for the transmit thread to quit processing
    PostQuitMessage(0);
	CDialog::OnCancel();
	
}


void CHwebservDlg::OnStopFrame() 
{
	slamshut = TRUE;

}
