// hwebservDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHwebservDlg dialog
#include <fstream.h>
#include <direct.h>
class CHwebservDlg : public CDialog
{
// Construction
public:
	CHwebservDlg(CWnd* pParent = NULL);	// standard constructor

int GetNumFiles(void){

	char dfile[128];
	ifstream inf("contin.txt");  //contin.txt is used for automatically adding continuous files
	while (inf){
		inf.getline(dfile,128);
		if (dfile[0] != 0) (m_xlist.AddString(dfile));
	}
	inf.close;
//	DeleteFile("contin.txt");
	return m_xlist.GetCount();
}

int GetNumDirs(void){

	char ddir[128];
	ifstream inf("direct.txt");   //direct.txt is used for automatically adding directories
	while (inf){
		inf.getline(ddir,128);
		if (ddir[0] != 0) (m_dirlist.AddString(ddir));
	}
	inf.close;
//	DeleteFile("direct.txt");
	return m_dirlist.GetCount();
}
CString GetThatDir(int dirnum){

	CString ddir;
	m_dirlist.GetText(dirnum,ddir);
	return ddir;
}

void SetButtons(void){
	m_quit.EnableWindow(TRUE);
	m_start.EnableWindow(TRUE);
    m_stopfile.EnableWindow(FALSE);
    m_stopfram.EnableWindow(FALSE);
}



CString GetThatFile (int filenum){
CString dfile;
	
		m_xlist.GetText(filenum,dfile);
		m_xmitnow.SetWindowText(dfile);
		return dfile;
}
void SetFileText(CString tranfile){
		m_xmitnow.SetWindowText(tranfile);
}

void XmitNone (void){
	m_xmitnow.SetWindowText("");
	
}
void EnableStart (void){
	m_start.EnableWindow(TRUE);
}
int IsOneTime(void){
	char dfile[128];
	ifstream inf("onetime.txt");
	while (inf){
		inf.getline(dfile,128);
		if (dfile[0] != 0) (m_xonelist.AddString(dfile));
	}
	inf.close;
//	DeleteFile("onetime.txt");
	return m_xonelist.GetCount();
}
CString GetOneFile(void){
	CString dfile;
	m_xonelist.GetText(0,dfile);
	m_xmitnow.SetWindowText(dfile);
	m_xonelist.DeleteString(0);
	return dfile;
}

// Dialog Data
	//{{AFX_DATA(CHwebservDlg)
	enum { IDD = IDD_HWEBSERV_DIALOG };
	CButton	m_quit;
	CButton	m_stopfram;
	CProgressCtrl	m_prog;
	CListBox	m_dirlist;
	CListBox	m_xonelist;
	CButton	m_stopframe;
	CButton	m_stopfile;
	CButton	m_start;
	CEdit	m_xmitnow;
	CEdit	m_addfile;
	CListBox	m_xlist;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHwebservDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CHwebservDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void Ontrans();
	afx_msg void OnDeletefile();
	afx_msg void OnStopAfterFile();
	afx_msg void OnBrowseForFile();
	afx_msg void OnDblclkList1();
	afx_msg void OnAddonetime();
	afx_msg void OnDeleteOneTime();
	afx_msg void OnDblclkList2();
	afx_msg void OnPortParam();
	afx_msg void OnDeleteDir();
	afx_msg void OnAdddir();
	virtual void OnCancel();
	afx_msg void OnStopFrame();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
